Trade signal execution history for a developer agent
curl --request GET \
--url https://mcp.echozero.app/api/v1/developers/agents/{id}/signals/history \
--header 'Authorization: Bearer <token>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>'import requests
url = "https://mcp.echozero.app/api/v1/developers/agents/{id}/signals/history"
headers = {
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>'
}
};
fetch('https://mcp.echozero.app/api/v1/developers/agents/{id}/signals/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'GET',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>'
}
};
fetch('https://mcp.echozero.app/api/v1/developers/agents/{id}/signals/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mcp.echozero.app/api/v1/developers/agents/{id}/signals/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-signature", "<x-signature>")
req.Header.Add("x-timestamp", "<x-timestamp>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"items": [
{
"id": "<string>",
"signalId": "<string>",
"developerAgentId": "<string>",
"developerId": "<string>",
"signal": {
"action": "<string>",
"tokenAddress": "<string>",
"amount": 123,
"tokenName": "<string>",
"tokenSymbol": "<string>",
"urgency": "<string>",
"metadata": {},
"reasoning": "<string>",
"context": {},
"confidence": 0.5,
"executionPlan": {}
},
"status": "<string>",
"webhookDelivered": true,
"createdAt": "2023-11-07T05:31:56Z",
"anonymizedSubscriberId": "<string>",
"validationResult": {
"passed": true,
"validatedAt": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"executionResult": {
"success": true,
"txHash": "<string>",
"executedAmountUsd": 123,
"errorMessage": "<string>",
"executedAt": "2023-11-07T05:31:56Z",
"feeReceipt": {
"tradingFeeUsd": 0.6,
"tradingFeeStandardUsd": 1.9,
"tradingFeeDiscountUsd": 1.3,
"recoveryModeApplied": true,
"successFeeUsd": 0.4,
"successFeeEffectivePct": 20,
"hyperliquidCashbackUsd": 0.05,
"hyperliquidVenueFeeNetUsd": 0.25,
"hwmSuccessFeeAccruedUsd": 0.28,
"feeModel": "v5"
}
},
"webhookDeliveredAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total": 123,
"limit": 123,
"page": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPreviousPage": true
}
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Developer dashboard
Trade signal execution history for a developer agent
Paginated signals for this agent; subscriber identifiers are opaque hashes.
GET
/
api
/
v1
/
developers
/
agents
/
{id}
/
signals
/
history
Trade signal execution history for a developer agent
curl --request GET \
--url https://mcp.echozero.app/api/v1/developers/agents/{id}/signals/history \
--header 'Authorization: Bearer <token>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>'import requests
url = "https://mcp.echozero.app/api/v1/developers/agents/{id}/signals/history"
headers = {
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>'
}
};
fetch('https://mcp.echozero.app/api/v1/developers/agents/{id}/signals/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'GET',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>'
}
};
fetch('https://mcp.echozero.app/api/v1/developers/agents/{id}/signals/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mcp.echozero.app/api/v1/developers/agents/{id}/signals/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-signature", "<x-signature>")
req.Header.Add("x-timestamp", "<x-timestamp>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"items": [
{
"id": "<string>",
"signalId": "<string>",
"developerAgentId": "<string>",
"developerId": "<string>",
"signal": {
"action": "<string>",
"tokenAddress": "<string>",
"amount": 123,
"tokenName": "<string>",
"tokenSymbol": "<string>",
"urgency": "<string>",
"metadata": {},
"reasoning": "<string>",
"context": {},
"confidence": 0.5,
"executionPlan": {}
},
"status": "<string>",
"webhookDelivered": true,
"createdAt": "2023-11-07T05:31:56Z",
"anonymizedSubscriberId": "<string>",
"validationResult": {
"passed": true,
"validatedAt": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"executionResult": {
"success": true,
"txHash": "<string>",
"executedAmountUsd": 123,
"errorMessage": "<string>",
"executedAt": "2023-11-07T05:31:56Z",
"feeReceipt": {
"tradingFeeUsd": 0.6,
"tradingFeeStandardUsd": 1.9,
"tradingFeeDiscountUsd": 1.3,
"recoveryModeApplied": true,
"successFeeUsd": 0.4,
"successFeeEffectivePct": 20,
"hyperliquidCashbackUsd": 0.05,
"hyperliquidVenueFeeNetUsd": 0.25,
"hwmSuccessFeeAccruedUsd": 0.28,
"feeModel": "v5"
}
},
"webhookDeliveredAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total": 123,
"limit": 123,
"page": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPreviousPage": true
}
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Authorizations
bearer-jwtapi-key
User JWT access token issued by POST /api/auth/verify or POST /api/auth/social/verify. Routes that accept both auth modes declare api-key and bearer-jwt security schemes.
Headers
Required for API-key authenticated requests. HMAC-SHA256(secretKey, timestamp + METHOD + path + body) as lowercase hex. Omit only for JWT/OAuth session tokens or public routes.
Required with x-signature. Epoch milliseconds; rejected if drift exceeds 5 minutes. Omit only for JWT/OAuth session tokens or public routes.